Latest 3.0.0
Homepage https://github.com/SwiftyJSON/Alamofire-SwiftyJSON
License MIT
Platforms osx 10.11, ios 9.0, requires ARC
Dependencies Alamofire, SwiftyJSON
Authors

Alamofire-SwiftyJSON

An extension to make serializing Alamofire‘s response with SwiftyJSON easily.

⚠️ To use with Swift 3.x please ensure you are using >= 2.0.0 ⚠️

⚠️ To use with Swift 4.x please ensure you are using >= 3.0.0 ⚠️

Swift version

Alamofire-SwiftyJSON Swift version Alamofire SwiftyJSON
2.x Swift 3.x 4.x 3.x
3.x Swift 4.x 4.5.x 4.x

Requirements

  • iOS 8.0+ / Mac OS X 10.9+
  • Xcode 8.0+
  • Swift 3.0+

Install

CocoaPods:

pod 'Alamofire-SwiftyJSON'

Carthage:

github "SwiftyJSON/Alamofire-SwiftyJSON" "master"

Usage

Alamofire.request(URL, method: .get, parameters: parameters, encoding: URLEncoding.default)
         .responseSwiftyJSON { dataResponse in
                     print(dataResponse.request)
                     print(dataResponse.response)
                     print(dataResponse.error)
                     print(dataResponse.value)
                  })

Latest podspec

{
    "name": "Alamofire-SwiftyJSON",
    "version": "3.0.0",
    "summary": "Alamofire extension for serialize NSData to SwiftyJSON",
    "homepage": "https://github.com/SwiftyJSON/Alamofire-SwiftyJSON",
    "license": {
        "type": "MIT"
    },
    "authors": {
        "tangplin": "[email protected]"
    },
    "requires_arc": true,
    "platforms": {
        "osx": "10.11",
        "ios": "9.0"
    },
    "source": {
        "git": "https://github.com/SwiftyJSON/Alamofire-SwiftyJSON.git",
        "tag": "3.0.0"
    },
    "source_files": "Source/*.swift",
    "dependencies": {
        "Alamofire": [
            "~> 4.5"
        ],
        "SwiftyJSON": [
            "~> 4.0.0"
        ]
    },
    "pushed_with_swift_version": "3.0"
}

Pin It on Pinterest

Share This